## GstNetAddressMeta GstNetAddressMeta — Network address metadata |

## Functions

GstNetAddressMeta * | gst_buffer_add_net_address_meta ()
GstNetAddressMeta * | gst_buffer_get_net_address_meta ()
const GstMetaInfo * | gst_net_address_meta_get_info ()

## Types and Values

struct | GstNetAddressMeta

## Includes

    #include <gst/net/gstnetaddressmeta.h>

## Description

GstNetAddressMeta can be used to store a network address (a GSocketAddress) in a GstBuffer so that it network elements can track the to and from address of the buffer.

## Functions

### gst_buffer_add_net_address_meta ()

    GstNetAddressMeta *
    gst_buffer_add_net_address_meta (GstBuffer *buffer,
                                     GSocketAddress *addr);

Attaches `addr` as metadata in a GstNetAddressMeta to `buffer` .

#### Parameters

buffer | a GstBuffer |
addr | a `GSocketAddress` to connect to `buffer` |

#### Returns

a GstNetAddressMeta connected to `buffer` .

[transfer none]

### gst_buffer_get_net_address_meta ()

    GstNetAddressMeta *
    gst_buffer_get_net_address_meta (GstBuffer *buffer);

Find the GstNetAddressMeta on `buffer` .

#### Parameters

buffer | a GstBuffer |

#### Returns

the GstNetAddressMeta or `NULL` when there is no such metadata on `buffer` .

[transfer none]

### gst_net_address_meta_get_info ()

    const GstMetaInfo *
    gst_net_address_meta_get_info (void);

## Types and Values

### struct GstNetAddressMeta

    struct GstNetAddressMeta {
      GstMeta       meta;

      GSocketAddress *addr;
    };

Buffer metadata for network addresses.

#### Members

GstMeta `meta`; | the parent type |
GSocketAddress *`addr`; | a GSocketAddress stored as metadata |